Subject: Re: bug#12314: 24.2.50; `add-to-history': use `setq' with `delete'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Sep 2012 21:20:38 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Sun, 9 Sep 2012 10:35:21 -0700
> 
> Eli, at the risk of butting in, I respectfully suggest that you might not be
> reading about this topic well enough or perhaps not thinking enough about it.

How is this remark helpful?

> Stefan is making the point that when programmers use `delete' or `delq' or
> `nconc' they often do so to improve the performance of their code.  Which is
> true.

This is an entirely different issue.  "Destructive modification" does
not imply the optimization you (and evidently Stefan) are alluding to,
at least not universally so, nor a possibility to piggy-back that to
optimize application code.  It just means that the original object is
modified (a.k.a. "destroyed") in the process.